Business profiles
The business profile object
Attributes
idstringrequiredpattern^[1-9][0-9]{0,18}$Opaque Polymorfa resource ID. Keep this value as a string.
phoneNumberstringPhone number in international format.
bsuidstringBusiness-scoped user identifier (BSUID), scoped to the owning business portfolio.
usernamestringWhatsApp username when one is available.
addressstringrequiredSpecifies address for this native business profile.
emailstringrequiredEmail address associated with this resource.
descriptionstringrequiredHuman-readable description of this resource.
websitesarray of string (uri)requireditem formaturiWebsites associated with this native business profile.
coverPhotoIdstringrequiredIdentifier of the business-profile cover photo.
categoriesarray of objectrequiredCategories associated with this native business profile.
Show 2 child fields
optionsobjectrequiredSelectable options carried by this object.
hoursTimeZonestringrequiredSpecifies hours time zone for this native business profile.
hoursarray of objectrequiredHours associated with this native business profile.
Show 4 child fields
encryptionstringHow messages with this business are encrypted, as WhatsApp reports it. Omitted when the connection does not report it.
end_to_end- Messages are end-to-end encrypted.
hybrid- Some of the business's messaging uses a service that is not end-to-end encrypted, such as a hosting provider.
not_end_to_end- Messages with this business are not end-to-end encrypted.
{
"id": "739182640518203",
"phoneNumber": "string",
"bsuid": "string",
"username": "string",
"address": "string",
"email": "string",
"description": "string",
"websites": [
"https://example.com"
],
"coverPhotoId": "string",
"categories": [
{
"id": "string",
"name": "string"
}
],
"options": {},
"hoursTimeZone": "string",
"hours": [
{
"dayOfWeek": "string",
"mode": "string",
"openTime": "string",
"closeTime": "string"
}
],
"encryption": "end_to_end"
}Get profile
- Base URL
https://api.polymorfa.com- Required permission
profile:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Profile info
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"name": "string",
"status": "string"
}
}Get business linked accounts
- Base URL
https://api.polymorfa.com- Required permission
business:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Live linked-account state
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 4 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/business/linked-accounts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"facebookPage": {
"hasActiveCTWAAd": true,
"hasCreatedAd": true,
"id": "string",
"displayName": "string",
"profilePictureUrl": "https://example.com",
"showOnProfile": true,
"whatsAppAsPageButton": true
},
"facebookBusiness": {
"id": "string",
"displayName": "string"
},
"instagramProfessional": {
"handle": "string",
"displayName": "string",
"profilePictureUrl": "https://example.com",
"showOnProfile": true
},
"whatsAppAdIdentity": {
"hasActiveCTWAAd": true,
"hasCreatedAd": true,
"id": "string"
}
}
}Get business eligibility
- Base URL
https://api.polymorfa.com- Required permission
business:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Live business feature eligibility
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/business/eligibility" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"features": [
{
"feature": "meta_verified",
"status": "string"
}
]
}
}Get own business profile
- Base URL
https://api.polymorfa.com- Required permission
profile:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Live business profile
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 14 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/business/profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "739182640518203",
"address": "string",
"email": "string",
"description": "string",
"websites": [
"https://example.com"
],
"coverPhotoId": "string",
"categories": [
{
"id": "string",
"name": "string"
}
],
"options": {},
"hoursTimeZone": "string",
"hours": [
{
"dayOfWeek": "string",
"mode": "string",
"openTime": "string",
"closeTime": "string"
}
]
}
}Get business merchant compliance
- Base URL
https://api.polymorfa.com- Required permission
profile:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Live merchant compliance details
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 6 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/business/compliance" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"entityName": "string",
"entityType": "SOLE_PROPRIETORSHIP",
"isRegistered": true,
"entityTypeCustom": "string",
"customerCare": {
"email": "string",
"landlineNumber": "string",
"mobileNumber": "string"
},
"grievanceOfficer": {
"email": "string",
"landlineNumber": "string",
"mobileNumber": "string",
"name": "string"
}
}
}Update linked business profile
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
addressstringmax length512Specifies address for this native business profile update request.
emailstring or string (email)Email address associated with this resource.
Accepts one ofstring,
""string (email), max length 320, format email
descriptionstringmax length1024Human-readable description of this resource.
websitesarray of string (uri)items1–2item max length2048item formaturiWebsites associated with this native business profile update request.
hoursobjectStructured hours values for this native business profile update request.
Show 2 child fields
Responses
200Profile updated
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PATCH "https://api.polymorfa.com/messaging/<session>/business/profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"address": "string",
"email": "",
"description": "string",
"websites": [
"https://example.com"
],
"hours": {
"timeZone": "string",
"days": [
{
"dayOfWeek": "sun",
"mode": "specific_hours"
}
]
}
}'{
"success": true,
"data": {
"status": "string"
}
}Set profile name
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
namestringrequiredmin length1Human-readable name for this resource.
Responses
200Name updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/profile/name" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'{
"success": true
}Set profile status
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
statusstringrequiredProfile About text to publish for the connected account.
Responses
200Status updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/profile/status" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"status": "string"
}'{
"success": true
}Set profile picture
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
urlstringURL associated with this resource.
base64stringBase64-encoded content with no data-URL prefix.
Responses
200Picture updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/profile/picture" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"url": "string",
"base64": "string"
}'{
"success": true
}Set business cover photo
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
urlstring (uri)max length2048URL associated with this resource.
base64stringlength1–6990508Base64-encoded content with no data-URL prefix.
Responses
200Cover photo set
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/business/profile/cover-photo" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com",
"base64": "string"
}'{
"success": true,
"data": {
"coverPhotoId": "string"
}
}Set business merchant compliance
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
entityNamestringrequiredmax length256Human-readable entity name for this native business merchant compliance.
entityTypestringrequiredCategory assigned to entity.
Allowed valuesSOLE_PROPRIETORSHIPPARTNERSHIPPRIVATE_COMPANYPUBLIC_COMPANYLIMITED_LIABILITY_PARTNERSHIPOTHERisRegisteredbooleanrequiredWhether registered.
entityTypeCustomstringrequiredmax length256Specifies entity type custom for this native business merchant compliance.
customerCareobjectrequiredStructured customer care values for this native business merchant compliance.
Show 3 child fields
grievanceOfficerobjectrequiredStructured grievance officer values for this native business merchant compliance.
Show 4 child fields
Responses
200Merchant compliance details updated
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 6 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/business/compliance" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"entityName": "string",
"entityType": "SOLE_PROPRIETORSHIP",
"isRegistered": true,
"entityTypeCustom": "string",
"customerCare": {
"email": "string",
"landlineNumber": "string",
"mobileNumber": "string"
},
"grievanceOfficer": {
"email": "string",
"landlineNumber": "string",
"mobileNumber": "string",
"name": "string"
}
}'{
"success": true,
"data": {
"entityName": "string",
"entityType": "SOLE_PROPRIETORSHIP",
"isRegistered": true,
"entityTypeCustom": "string",
"customerCare": {
"email": "string",
"landlineNumber": "string",
"mobileNumber": "string"
},
"grievanceOfficer": {
"email": "string",
"landlineNumber": "string",
"mobileNumber": "string",
"name": "string"
}
}
}Delete profile picture
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Picture deleted
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/profile/picture" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true
}Delete business cover photo
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
coverPhotoIdstringrequiredlength1–256Identifier of the business-profile cover photo.
Responses
200Cover photo removed
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/business/profile/cover-photo/<coverPhotoId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"status": "string"
}
}